Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0024911
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POSminoralways2013-10-08 17:232013-12-05 17:21
ReporterjecharriView Statuspublic 
Assigned Tomalsasua 
PriorityurgentResolutionfixedFixed in VersionRMP29
StatusclosedFix in branchFixed in SCM revisioneb43bf011927
ProjectionnoneETAnoneTarget VersionRMP29
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tomarvintm
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0024911: Probelms with cash up report in the ERP

DescriptionProbelms with cash up report in the ERP
Steps To Reproduce-Login in Web POS in terminal "PS-1"
-Go to cash up and verify that you have zero in all payment methods. If it is not true, execute a cash up.

-Create a sale with 2 products (Adhesive body and Alpine skiing). Total 90.80
-Add 2 payments, 87 card and 3.80 cash

-Execute the cash up:
+verify that the cash up is fine in the Web POS but is wrong in the ERP

The problem exists in section "Total to keep", you will see that instead of display 0 you are watching -87 cash.
TagsNo tags attached.
Attached Filespdf file icon CashUpReport.jrxml (3).pdf [^] (7,263 bytes) 2013-10-08 17:23

- Relationships Relation Graph ] Dependency Graph ]
has duplicate defect 0025147 closedmarvintm CashUpReport reports incorrect To keep and To deposit amounts on multicurrency POS terminal 

-  Notes
(0062074)
hgbot (developer)
2013-11-11 19:18

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: eb43bf011927f4cdf3e6f2cf051b2cff57a72439
Author: Miguel A. Alsasua <miguel.alsasua <at> openbravo.com>
Date: Mon Nov 11 19:18:15 2013 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/eb43bf011927f4cdf3e6f2cf051b2cff57a72439 [^]

Fixed issue 24911: Probelms with cash up report in the ERP

---
M src/org/openbravo/retail/posterminal/ad_reports/CashUpReport.java
---
(0062199)
hgbot (developer)
2013-11-18 12:55

Repository: erp/pmods/org.openbravo.retail.posterminal-splitlines
Changeset: eb43bf011927f4cdf3e6f2cf051b2cff57a72439
Author: Miguel A. Alsasua <miguel.alsasua <at> openbravo.com>
Date: Mon Nov 11 19:18:15 2013 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal-splitlines/rev/eb43bf011927f4cdf3e6f2cf051b2cff57a72439 [^]

Fixed issue 24911: Probelms with cash up report in the ERP

---
M src/org/openbravo/retail/posterminal/ad_reports/CashUpReport.java
---
(0062567)
hgbot (developer)
2013-12-05 12:11

Repository: erp/pmods/org.openbravo.retail.posterminal.cirque
Changeset: eb43bf011927f4cdf3e6f2cf051b2cff57a72439
Author: Miguel A. Alsasua <miguel.alsasua <at> openbravo.com>
Date: Mon Nov 11 19:18:15 2013 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.cirque/rev/eb43bf011927f4cdf3e6f2cf051b2cff57a72439 [^]

Fixed issue 24911: Probelms with cash up report in the ERP

---
M src/org/openbravo/retail/posterminal/ad_reports/CashUpReport.java
---
(0062614)
guilleaer (developer)
2013-12-05 17:21

Reclosing

- Issue History
Date Modified Username Field Change
2013-10-08 17:23 jecharri New Issue
2013-10-08 17:23 jecharri Assigned To => malsasua
2013-10-08 17:23 jecharri File Added: CashUpReport.jrxml (3).pdf
2013-10-08 17:23 jecharri Triggers an Emergency Pack => No
2013-10-09 11:37 malsasua Target Version RMP28 => RMP29
2013-11-11 19:18 hgbot Checkin
2013-11-11 19:18 hgbot Note Added: 0062074
2013-11-11 19:18 hgbot Status new => resolved
2013-11-11 19:18 hgbot Resolution open => fixed
2013-11-11 19:18 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/eb43bf011927f4cdf3e6f2cf051b2cff57a72439 [^]
2013-11-18 12:55 hgbot Checkin
2013-11-18 12:55 hgbot Note Added: 0062199
2013-11-18 12:55 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/eb43bf011927f4cdf3e6f2cf051b2cff57a72439 [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal-splitlines/rev/eb43bf011927f4cdf3e6f2cf051b2cff57a72439 [^]
2013-11-19 18:43 marvintm Review Assigned To => marvintm
2013-11-19 18:43 marvintm Status resolved => closed
2013-11-19 18:43 marvintm Fixed in Version => RMP29
2013-12-05 12:11 hgbot Checkin
2013-12-05 12:11 hgbot Note Added: 0062567
2013-12-05 12:11 hgbot Status closed => resolved
2013-12-05 12:11 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal-splitlines/rev/eb43bf011927f4cdf3e6f2cf051b2cff57a72439 [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.cirque/rev/eb43bf011927f4cdf3e6f2cf051b2cff57a72439 [^]
2013-12-05 17:21 guilleaer Note Added: 0062614
2013-12-05 17:21 guilleaer Status resolved => closed
2014-07-17 13:18 adrianromero Relationship added has duplicate 0025147


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker